ch.qos.logback.classic.gaffer

## Class GafferConfigurator

- java.lang.Object
- - ch.qos.logback.classic.gaffer.GafferConfigurator

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class GafferConfigurator
    extends Object
    implements groovy.lang.GroovyObject

### Constructor Summary

Constructors
Constructor and Description
`GafferConfigurator(LoggerContext context)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`LoggerContext` `getContext()`
`static String` `getDEBUG_SYSTEM_PROPERTY_KEY()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`protected org.codehaus.groovy.control.customizers.ImportCustomizer` `importCustomizer()`
`protected void` `informContextOfURLUsedForConfiguration(URL url)`
`Object` `invokeMethod(String method, Object arguments)`
`void` `run(File file)`
`void` `run(String dslText)`
`void` `run(URL url)`
`void` `setContext(LoggerContext value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GafferConfigurator

    public GafferConfigurator(LoggerContext context)

### Method Detail

#### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

Specified by:
  `getMetaClass` in interface `groovy.lang.GroovyObject`

#### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

Specified by:
  `setMetaClass` in interface `groovy.lang.GroovyObject`

#### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

Specified by:
  `invokeMethod` in interface `groovy.lang.GroovyObject`

#### getProperty

    public Object getProperty(String property)

Specified by:
  `getProperty` in interface `groovy.lang.GroovyObject`

#### setProperty

    public void setProperty(String property,
                            Object value)

Specified by:
  `setProperty` in interface `groovy.lang.GroovyObject`

#### getContext

    public LoggerContext getContext()

#### setContext

    public void setContext(LoggerContext value)

#### getDEBUG_SYSTEM_PROPERTY_KEY

    public static String getDEBUG_SYSTEM_PROPERTY_KEY()

#### informContextOfURLUsedForConfiguration

    protected void informContextOfURLUsedForConfiguration(URL url)

#### run

    public void run(URL url)

#### run

    public void run(File file)

#### run

    public void run(String dslText)

#### importCustomizer

    protected org.codehaus.groovy.control.customizers.ImportCustomizer importCustomizer()